xine-lib: xine-lib-1.2.13/src/libw32dll/DirectShow/cmediasample.h File Reference

xine-lib 1.2.13-20230125hg15249

Data Structures | Typedefs | Functions
cmediasample.h File Reference
`#include "interfaces.h"`
`#include "guids.h"`

Go to the source code of this file.

## Data Structures
struct | _CMediaSample

## Typedefs
typedef struct _CMediaSample | CMediaSample

## Functions
CMediaSample * | CMediaSampleCreate (IMemAllocator *allocator, int _size)
void | CMediaSample_Destroy (CMediaSample *This)

## Typedef Documentation

## ◆ CMediaSample

typedef struct _CMediaSample CMediaSample

## Function Documentation

## ◆ CMediaSample_Destroy()

void CMediaSample_Destroy | ( | CMediaSample * | This | ) |

References Debug, _CMediaSample::media_type, _CMediaSample::own_block, _CMediaSample::refcount, and _CMediaSample::vt.

Referenced by CMediaSampleCreate(), and MemAllocator_Decommit().

## ◆ CMediaSampleCreate()

CMediaSample * CMediaSampleCreate | ( | IMemAllocator * | allocator,
|  | int | _size )

References _CMediaSample::actual_size, IMediaSample_vt::AddRef, _CMediaSample::all, _CMediaSample::block, CMediaSample_AddRef(), CMediaSample_Destroy(), CMediaSample_GetActualDataLength(), CMediaSample_GetMediaTime(), CMediaSample_GetMediaType(), CMediaSample_GetPointer(), CMediaSample_GetSize(), CMediaSample_GetTime(), CMediaSample_IsDiscontinuity(), CMediaSample_IsPreroll(), CMediaSample_IsSyncPoint(), CMediaSample_QueryInterface(), CMediaSample_Release(), CMediaSample_ResetPointer(), CMediaSample_SetActualDataLength(), CMediaSample_SetDiscontinuity(), CMediaSample_SetMediaTime(), CMediaSample_SetMediaType(), CMediaSample_SetPointer(), CMediaSample_SetPreroll(), CMediaSample_SetSyncPoint(), CMediaSample_SetTime(), Debug, IMediaSample_vt::GetActualDataLength, IMediaSample_vt::GetMediaTime, IMediaSample_vt::GetMediaType, IMediaSample_vt::GetPointer, IMediaSample_vt::GetSize, IMediaSample_vt::GetTime, IMediaSample_vt::IsDiscontinuity, _CMediaSample::isDiscontinuity, IMediaSample_vt::IsPreroll, _CMediaSample::isPreroll, IMediaSample_vt::IsSyncPoint, _CMediaSample::media_type, NULL, _CMediaSample::own_block, IMediaSample_vt::QueryInterface, _CMediaSample::refcount, IMediaSample_vt::Release, _CMediaSample::ResetPointer, SAFETY_ACEL, IMediaSample_vt::SetActualDataLength, IMediaSample_vt::SetDiscontinuity, IMediaSample_vt::SetMediaTime, IMediaSample_vt::SetMediaType, _CMediaSample::SetPointer, IMediaSample_vt::SetPreroll, IMediaSample_vt::SetSyncPoint, IMediaSample_vt::SetTime, _CMediaSample::size, _CMediaSample::time_end, _CMediaSample::time_start, _CMediaSample::type_valid, and _CMediaSample::vt.

Referenced by MemAllocator_Commit().